
QGIS Application - Bug report #5365

Line detection fails

2012-04-15 08:02 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15053

Description

Apparently, a DEM layer is mandatory for this analysis, but the interface doe not require it, thus the command fails, and the user has no

clue why (besides inspectiong the log):

OTB execution console output

LineSegmentDetection -in /home/paolo/Desktop/butta/otb_samples/orto.jpeg -elev dem -elev.average.value 0 -out

/home/paolo/sextante/tempdata/1334501940.421.shp

ERROR: Missing mandatory parameter: elev.dem.path  0

ERROR: Troubles loading parameter, please check your line argument...

History

#1 - 2012-04-15 10:07 AM - Julien Malik

The otb behavior is that the "elev" parameter default to "average", but "dem" is the first choice in the list, and has a mandatory dependency on "dem.path".

Support for default value in ParameterSelection will provide a way to fix this.

Paolo, to make it work, choose "average".

#2 - 2012-04-15 02:56 PM - Salvatore Larosa

- File fix_error_OTBLineSegmentDetectionAlg.patch added

The patch attached seems to fix the issue!

#3 - 2012-04-16 01:02 AM - Paolo Cavallini

Thanks Julien - now it works without errors, so "average" should be the default.

BTW, with the ortho.jpeg file you provided, no lines are detected, and I do not see options to improve this result (but this must be a totally different

problem).

#4 - 2012-04-17 04:36 AM - Paolo Cavallini

- Category set to 57
#5 - 2012-04-17 09:14 AM - Julien Malik

- Assignee set to Julien Malik

#6 - 2012-04-19 07:53 AM - Julien Malik

- Status changed from Open to Resolved

#7 - 2012-04-19 07:55 AM - Julien Malik

fixed in r127

#8 - 2012-05-31 10:45 AM - Paolo Cavallini

- Status changed from Resolved to Feedback

Tried again, still no lines detected. Can you provide a sample image where it works? Thanks.

#9 - 2013-10-15 08:04 AM - Filipe Dias

Is this still happening?

#10 - 2014-03-26 11:06 AM - Alexander Bruy

- Status changed from Feedback to Closed

Closing for lack of feedback. Reopen if necessary

#11 - 2014-03-26 11:20 AM - Paolo Cavallini

- Status changed from Closed to Reopened

Please wait until next OTB package will be available. I'll retest it.

#12 - 2014-10-04 11:42 AM - Giovanni Manghi

- Project changed from 78 to QGIS Application

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

- Category deleted (57)

#13 - 2014-10-04 11:46 AM - Giovanni Manghi

- Category set to 120

#14 - 2014-10-04 11:47 AM - Giovanni Manghi

- Assignee changed from Julien Malik to Victor Olaya

#15 - 2015-06-19 01:36 PM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution set to fixed/implemented
closed for lack of feedback and because it works.

#16 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#17 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#18 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#19 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core

Files

fix_error_OTBLineSegmentDetectionAlg.patch 1.56 KB 2012-04-15 Salvatore Larosa
